aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xdmenuDic.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/dmenuDic.sh b/dmenuDic.sh
new file mode 100755
index 0000000..cbfce71
--- /dev/null
+++ b/dmenuDic.sh
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+# Selects a word from the system's dictionary with the help of dmenu and copies it to clipboard.
+
+word="$(cat /usr/share/dict/cracklib-small | dmenu -i -l 10 -p "Choose a word:")"
+[ "$word" ] || exit 0
+echo "$word" | xsel -bi
+dunstify -t 2000 "Written [$word] into clipboard."